#
# spec file for package perl-B-Hooks-EndOfScope
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name B-Hooks-EndOfScope
Name:           perl-B-Hooks-EndOfScope
Version:        0.280.0
Release:        1.2
# 0.28 -> normalize -> 0.280.0
%define cpan_version 0.28
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Execute code after a scope finished compilation
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Hash::Util::FieldHash)
BuildRequires:  perl(Module::Implementation) >= 0.05
BuildRequires:  perl(Sub::Exporter::Progressive) >= 0.001006
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Variable::Magic) >= 0.48
Requires:       perl(Hash::Util::FieldHash)
Requires:       perl(Module::Implementation) >= 0.05
Requires:       perl(Sub::Exporter::Progressive) >= 0.001006
Requires:       perl(Variable::Magic) >= 0.48
Provides:       perl(B::Hooks::EndOfScope) = %{version}
Provides:       perl(B::Hooks::EndOfScope::PP) = %{version}
Provides:       perl(B::Hooks::EndOfScope::XS) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
This module allows you to execute code when perl finished compiling the
surrounding scope.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes CONTRIBUTING README
%license LICENCE

%changelog
* Fri Mar  1 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.28
  see /usr/share/doc/packages/perl-B-Hooks-EndOfScope/Changes
  0.28      2024-03-01 00:10:15Z
  - revert Variable::Magic->Variable::OnDestruct change; Variable::Magic will
    start working again in perl 5.39.9. (Graham Knop, PR#10)
  0.27      2024-02-27 23:48:24Z
  - switched from Variable::Magic to Variable::OnDestruct in the XS
    implementation (Graham Knop, PR#9)
  - add optional prereqs to metadata to help prereq analysis tools (RT#151992)
* Tue Feb 22 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.26
  see /usr/share/doc/packages/perl-B-Hooks-EndOfScope/Changes
  0.26      2022-02-21 05:35:44Z
  - update bundled version of ExtUtils::HasCompiler, for new new Apple
    include paths
* Mon Oct 11 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.25
  see /usr/share/doc/packages/perl-B-Hooks-EndOfScope/Changes
  0.25      2021-10-10 19:34:55Z
  - add test of dieing inside an on_scope_end() (PR#8)
* Sun Apr 22 2018 coolo@suse.com
- updated to 0.24
  see /usr/share/doc/packages/perl-B-Hooks-EndOfScope/Changes
  0.24      2018-04-21 14:11:08Z
  - no changes since last trial release
  0.23      2018-03-17 23:33:09Z (TRIAL RELEASE)
  - improve use of constants in compile-time perl version checks
  0.22      2018-03-17 19:31:37Z (TRIAL RELEASE)
  - Fix memory corruption on perls 5.8.0 - 5.8.3
* Sat May 28 2016 coolo@suse.com
- updated to 0.21
  see /usr/share/doc/packages/perl-B-Hooks-EndOfScope/Changes
  0.21      2016-05-25 18:34:46Z
  - work with Object::Remote by removing require() call on Tie::StdHash in PP
  0.20      2016-05-06 16:42:50Z
  - remove unnecessary and erroneous extra crud in inc/
* Thu May  5 2016 coolo@suse.com
- updated to 0.19
  see /usr/share/doc/packages/perl-B-Hooks-EndOfScope/Changes
  0.19      2016-05-03 00:49:01Z
  - bundled an updated ExtUtils::HasCompiler, to support building with a
    noexec $TMPDIR.
  0.18      2016-04-21 15:22:10Z (TRIAL RELEASE)
  - fixed unnecessary inlining of ExtUtils::HasCompiler dependencies
    (RT#113685)
  0.17      2016-04-21 11:25:35Z (TRIAL RELEASE)
  - Makefile.PL now checks for a working compiler using ExtUtils::HasCompiler
    (inlined into the build) rather than ExtUtils::CBuilder (RT#113685)
  0.16      2015-09-19 19:01:04Z (TRIAL RELEASE)
  - more Makefile.PL updates - these contain slight functionality changes,
    hence the trial release
* Fri May 15 2015 coolo@suse.com
- updated to 0.15
  see /usr/share/doc/packages/perl-B-Hooks-EndOfScope/Changes
  0.15      2015-05-14 21:46:06Z
  - updated the tooling for generating Makefile.PL
  - removed Tie::StdHash from prereqs, which is not require()able as a module
    on its own (despite being indexed) (miyagawa, GH #3)
  - fixed the addition in release 0.14 of Hash::Util::FieldHash as a
    prerequisite (which is not available prior to perl 5.010) for pure-perl
    installations (RT#104435)
* Fri Feb  6 2015 coolo@suse.com
- updated to 0.14
  - line numbers in shipped code are now the same as the repository source,
    for easier debugging
  - more accurate dynamic prereq declarations
* Mon Feb 24 2014 coolo@suse.com
- updated to 0.13
  - Variable::Magic added as a runtime recommendation for greater visibility
    (RT#89245)
  - fixed broken logic in compiler detection on older perls
  - fixed inaccurate repository metadata
* Wed May 15 2013 coolo@suse.com
- updated to 0.12
  * Complete pure-perl implementation in addition to the one based on
    Variable::Magic. You can specify the implementation explicitly by
    use-ing B::Hooks::EndOfScope::PP or B::Hooks::EndOfScope::XS, or
    by setting $ENV{B_HOOKS_ENDOFSCOPE_IMPLEMENTATION} to either 'XS'
    or 'PP'
  * Switch from using Sub::Exporter to the more conservative
    Sub::Exporter::Progressive
* Fri Mar 16 2012 lars@linux-schulserver.de
- remove old_test_more patch and use sed statement
  instead (less likely to break with every package update)
* Wed Feb 29 2012 ro@suse.de
- add old_test_more patch to fix build on sle11
* Fri Feb 24 2012 coolo@suse.com
- updated to 0.11
  * A minor efficiency improvement.
* Thu Feb 16 2012 coolo@suse.com
- updated to 0.10
  * Stop propagating our magic through localisation.
* Wed Aug 24 2011 chris@computersalat.de
- fix build for SLE_10
  * ExtUtils::MakeMaker version 6.31
* Wed Jul  6 2011 coolo@novell.com
- updated to 0.09
  * Improve distribution metadata.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Tue Jan 12 2010 nine@detonation.org
- Specfile autogenerated by cpanspec 1.78.
